Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomExtern

    java.lang.Object
      |
      +--gnu.xml.dom.DomNode
            |
            +--gnu.xml.dom.DomExtern

All Implemented Interfaces:
  java.lang.Cloneable, DocumentEvent, EventTarget, Node, NodeList

Direct Known Subclasses:
  DomDoctype, DomEntity, DomNotation

public abstract class DomExtern
extends DomNode

Abstract implemention of nodes describing external DTD-related objects. This facilitates reusing code for Entity, Notation, and DocumentType (really, external subset) nodes. Such support is not part of the core DOM; it's for the "XML" feature.

Note that you are strongly advised to avoid using the DOM features that take advantage of this class, since (as of L2) none of them is defined fully enough to permit full use of the XML feature they partially expose.

Version:
  $Date: 2001/11/20 04:53:46 $
Author:
  David Brownell

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getNodeName()` DOM L1 Returns the object's name.
`java.lang.String` | `getPublicId()` DOM L1 Returns the PUBLIC identifier associated with this object, if any.
`java.lang.String` | `getSystemId()` DOM L1 Returns the SYSTEM identifier associated with this object, if any.

Methods inherited from class gnu.xml.dom.DomNode
`addEventListener, appendChild, clone, cloneNode, compact, createEvent, dispatchEvent, getAttributes, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isReadonly, isSupported, item, makeReadonly, nameAndTypeEquals, normalize, removeChild, removeEventListener, replaceChild, setNodeValue, setPrefix, trimToSize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`getNodeType`

Method Detail

### getSystemId

    public final java.lang.String getSystemId()

  DOM L1 Returns the SYSTEM identifier associated with this object, if any.

### getPublicId

    public final java.lang.String getPublicId()

  DOM L1 Returns the PUBLIC identifier associated with this object, if any.

### getNodeName

    public final java.lang.String getNodeName()

  DOM L1 Returns the object's name.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.